# Interface NotePojo

interface NotePojo {
blobId ?: string;
dateCreated ?: string;
dateModified ?: string;
isDeleted : boolean;
isProtected ?: boolean;
mime : string;
noteId : string;
title ?: string;
type : string;
utcDateCreated : string;
utcDateModified ?: string;
}

- Defined in src/becca/becca-interface.ts:283

##### Index

### Properties

blobId?
dateCreated?
dateModified?
isDeleted
isProtected?
mime
noteId
title?
type
utcDateCreated
utcDateModified?

## Properties

### `Optional` blobId

blobId?: string

- Defined in src/becca/becca-interface.ts:289

### `Optional` dateCreated

dateCreated?: string

- Defined in src/becca/becca-interface.ts:291

### `Optional` dateModified

dateModified?: string

- Defined in src/becca/becca-interface.ts:292

### isDeleted

isDeleted: boolean

- Defined in src/becca/becca-interface.ts:290

### `Optional` isProtected

isProtected?: boolean

- Defined in src/becca/becca-interface.ts:286

### mime

mime: string

- Defined in src/becca/becca-interface.ts:288

### noteId

noteId: string

- Defined in src/becca/becca-interface.ts:284

### `Optional` title

title?: string

- Defined in src/becca/becca-interface.ts:285

### type

type: string

- Defined in src/becca/becca-interface.ts:287

### utcDateCreated

utcDateCreated: string

- Defined in src/becca/becca-interface.ts:293

### `Optional` utcDateModified

utcDateModified?: string

- Defined in src/becca/becca-interface.ts:294